Package org.jboss.resteasy.core

## Class StringParameterInjector

- java.lang.Object
- - org.jboss.resteasy.core.StringParameterInjector

- Direct Known Subclasses:
    `CookieParamInjector`, `FormParamInjector`, `HeaderParamInjector`, `MatrixParamInjector`, `QueryParamInjector`

      public class StringParameterInjector
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke, Nicolas NESMON

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Type` | `baseGenericType` |
    `protected Class<?>` | `baseType` |
    `protected Class<? extends Collection>` | `collectionType` |
    `protected Constructor<?>` | `constructor` |
    `protected String` | `defaultValue` |
    `protected javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<?>` | `delegate` |
    `protected boolean` | `isArray` |
    `protected boolean` | `isCollection` |
    `protected javax.ws.rs.ext.ParamConverter<?>` | `paramConverter` |
    `protected String` | `paramName` |
    `protected Class<?>` | `paramType` |
    `protected AccessibleObject` | `target` |
    `protected Class<?>` | `type` |
    `protected StringParameterUnmarshaller<?>` | `unmarshaller` |
    `protected Method` | `valueOf` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringParameterInjector()` |
    `StringParameterInjector​(Class<?> type, Type genericType, String paramName, Class<?> paramType, String defaultValue, AccessibleObject target, Annotation[] annotations, ResteasyProviderFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `extractValue​(String strVal)` |
    `Object` | `extractValues​(List<String> values)` |
    `javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<?>` | `getHeaderDelegate()` |
    `javax.ws.rs.ext.ParamConverter<?>` | `getParamConverter()` |
    `String` | `getParamSignature()` |
    `protected void` | `initialize​(Class<?> type, Type genericType, String paramName, Class<?> paramType, String defaultValue, AccessibleObject target, Annotation[] annotations, ResteasyProviderFactory factory)` |
    `boolean` | `isCollectionOrArray()` |
    `protected void` | `throwProcessingException​(String message, Throwable cause)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected Class<?> type

    - #### baseType

          protected Class<?> baseType

    - #### baseGenericType

          protected Type baseGenericType

    - #### constructor

          protected Constructor<?> constructor

    - #### valueOf

          protected Method valueOf

    - #### defaultValue

          protected String defaultValue

    - #### paramName

          protected String paramName

    - #### paramType

          protected Class<?> paramType

    - #### isCollection

          protected boolean isCollection

    - #### isArray

          protected boolean isArray

    - #### collectionType

          protected Class<? extends Collection> collectionType

    - #### target

          protected AccessibleObject target

    - #### paramConverter

          protected javax.ws.rs.ext.ParamConverter<?> paramConverter

    - #### unmarshaller

          protected StringParameterUnmarshaller<?> unmarshaller

    - #### delegate

          protected javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<?> delegate

  - ### Constructor Detail

    - #### StringParameterInjector

          public StringParameterInjector()

    - #### StringParameterInjector

          public StringParameterInjector​(Class<?> type,
                                         Type genericType,
                                         String paramName,
                                         Class<?> paramType,
                                         String defaultValue,
                                         AccessibleObject target,
                                         Annotation[] annotations,
                                         ResteasyProviderFactory factory)

  - ### Method Detail

    - #### isCollectionOrArray

          public boolean isCollectionOrArray()

    - #### initialize

          protected void initialize​(Class<?> type,
                                    Type genericType,
                                    String paramName,
                                    Class<?> paramType,
                                    String defaultValue,
                                    AccessibleObject target,
                                    Annotation[] annotations,
                                    ResteasyProviderFactory factory)

    - #### getParamSignature

          public String getParamSignature()

    - #### extractValues

          public Object extractValues​(List<String> values)

    - #### extractValue

          public Object extractValue​(String strVal)

    - #### getParamConverter

          public javax.ws.rs.ext.ParamConverter<?> getParamConverter()

    - #### getHeaderDelegate

          public javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<?> getHeaderDelegate()

    - #### throwProcessingException

          protected void throwProcessingException​(String message,
                                                  Throwable cause)